<?php

namespace App\Twig\Components;

use App\Entity\Server;
use Symfony\UX\TwigComponent\Attribute\AsTwigComponent;

#[AsTwigComponent('server_accordion')]
final class ServerAccordionComponent
{
    public ?Server $server;
    public bool $expanded = false;

    public function __construct()
    {
        if (!isset($this->server)) {
            $this->server = new Server();
        }
    }
}
